@echo off
echo .
echo . Start Procedure for Mozilla Firefox
echo .
if exist "%temp%\Dokumente und Einstellungen\Default User\Anwendungsdaten\Mozilla\Firefox\profiles.ini" goto call
echo . preparing Firefox start
echo .
xcopy "%systemdrive%\programs\firefox\Anwendungsdaten\*.*" "%temp%\Dokumente und Einstellungen\Default User\Anwendungsdaten\" /Y/Q/E/I 
xcopy "%systemdrive%\programs\firefox\Lokale Einstellungen\*.*" "%temp%\Dokumente und Einstellungen\Default User\Lokale Einstellungen\" /Y/Q/E/I 
echo . profile data have been put in place
echo .

echo . starting Firefox
echo .
%systemdrive%
cd "%systemdrive%\programs\firefox\"
firefox.exe
@echo . to remove firfox profiles
pause
rmdir "%temp%\Dokumente und Einstellungen\Default User\Anwendungsdaten\Adobe\" /q /s
rmdir "%temp%\Dokumente und Einstellungen\Default User\Anwendungsdaten\Macromedia\" /q /s
rmdir "%temp%\Dokumente und Einstellungen\Default User\Anwendungsdaten\Mozilla\" /q /s
rmdir "%temp%\Dokumente und Einstellungen\Default User\Lokale Einstellungen\Anwendungsdaten\Mozilla\" /q /s
goto end
:call
echo . profile data already in place
echo . starting Firefox
echo .
%systemdrive%
cd "%systemdrive%\programs\firefox\"
firefox.exe
:end